
local tile_names = require "api.tile_names"



data:extend({
    {
        type = "double-setting",
        name = "hextorio-vault-chance",
        setting_type = "runtime-global",
        default_value = 0.02,
        minimum_value = 0,
        maximum_value = 1.0,
    },
    {
        type = "double-setting",
        name = "hextorio-fulgoran-attractor-chance",
        setting_type = "runtime-global",
        default_value = 0.25,
        minimum_value = 0,
        maximum_value = 1.0,
    },
    {
        type = "double-setting",
        name = "hextorio-small-egg-raft-chance",
        setting_type = "runtime-global",
        default_value = 0.25,
        minimum_value = 0,
        maximum_value = 1.0,
    },
    {
        type = "string-setting",
        name = "hextorio-claimed-hex-tile",
        setting_type = "runtime-per-user",
        default_value = "refined-concrete",
        allowed_values = tile_names.space_age_land,
    },
    {
        type = "string-setting",
        name = "hextorio-edge-fill-tile",
        setting_type = "runtime-per-user",
        default_value = "black-refined-concrete",
        allowed_values = tile_names.space_age_land,
    },
    {
        type = "string-setting",
        name = "hextorio-grid-rotation-mode-nauvis",
        setting_type = "startup",
        default_value = "flat-top",
        allowed_values = {"random", "flat-top", "pointed-top"},
        order = "zaa",
    },
    {
        type = "double-setting",
        name = "hextorio-hex-size-nauvis",
        setting_type = "startup",
        default_value = 24,
        minimum_value = 8,
        maximum_value = 60,
        order = "zab",
    },
    {
        type = "int-setting",
        name = "hextorio-hex-stroke-width-nauvis",
        setting_type = "startup",
        default_value = 3,
        minimum_value = 2,
        maximum_value = 32,
        order = "zac",
    },
    {
        type = "string-setting",
        name = "hextorio-grid-rotation-mode-vulcanus",
        setting_type = "startup",
        default_value = "pointed-top",
        allowed_values = {"random", "flat-top", "pointed-top"},
        order = "zba",
    },
    {
        type = "double-setting",
        name = "hextorio-hex-size-vulcanus",
        setting_type = "startup",
        default_value = 40,
        minimum_value = 8,
        maximum_value = 60,
        order = "zbb",
    },
    {
        type = "int-setting",
        name = "hextorio-hex-stroke-width-vulcanus",
        setting_type = "startup",
        default_value = 3,
        minimum_value = 2,
        maximum_value = 32,
        order = "zbc",
    },
    {
        type = "string-setting",
        name = "hextorio-grid-rotation-mode-fulgora",
        setting_type = "startup",
        default_value = "pointed-top",
        allowed_values = {"random", "flat-top", "pointed-top"},
        order = "zca",
    },
    {
        type = "double-setting",
        name = "hextorio-hex-size-fulgora",
        setting_type = "startup",
        default_value = 31,
        minimum_value = 8,
        maximum_value = 60,
        order = "zcb",
    },
    {
        type = "int-setting",
        name = "hextorio-hex-stroke-width-fulgora",
        setting_type = "startup",
        default_value = 9,
        minimum_value = 2,
        maximum_value = 32,
        order = "zcc",
    },
    {
        type = "string-setting",
        name = "hextorio-grid-rotation-mode-gleba",
        setting_type = "startup",
        default_value = "pointed-top",
        allowed_values = {"random", "flat-top", "pointed-top"},
        order = "zda",
    },
    {
        type = "double-setting",
        name = "hextorio-hex-size-gleba",
        setting_type = "startup",
        default_value = 34,
        minimum_value = 8,
        maximum_value = 60,
        order = "zdb",
    },
    {
        type = "int-setting",
        name = "hextorio-hex-stroke-width-gleba",
        setting_type = "startup",
        default_value = 10,
        minimum_value = 2,
        maximum_value = 32,
        order = "zdc",
    },
    {
        type = "string-setting",
        name = "hextorio-grid-rotation-mode-aquilo",
        setting_type = "startup",
        default_value = "random",
        allowed_values = {"random", "flat-top", "pointed-top"},
        order = "zea",
    },
    {
        type = "double-setting",
        name = "hextorio-hex-size-aquilo",
        setting_type = "startup",
        default_value = 50,
        minimum_value = 8,
        maximum_value = 60,
        order = "zeb",
    },
    {
        type = "int-setting",
        name = "hextorio-hex-stroke-width-aquilo",
        setting_type = "startup",
        default_value = 20,
        minimum_value = 2,
        maximum_value = 32,
        order = "zec",
    },
    {
        type = "int-setting",
        name = "hextorio-planet-size-nauvis",
        setting_type = "runtime-global",
        default_value = 48,
        minimum_value = 1,
        maximum_value = 100,
    },
    {
        type = "double-setting",
        name = "hextorio-tiles-per-quality-nauvis",
        setting_type = "runtime-global",
        default_value = 8.0,
        minimum_value = 1.0,
    },
    {
        type = "double-setting",
        name = "hextorio-tiles-per-quality-vulcanus",
        setting_type = "runtime-global",
        default_value = 5.0,
        minimum_value = 1.0,
    },
    {
        type = "double-setting",
        name = "hextorio-tiles-per-quality-fulgora",
        setting_type = "runtime-global",
        default_value = 5.0,
        minimum_value = 1.0,
    },
    {
        type = "double-setting",
        name = "hextorio-tiles-per-quality-gleba",
        setting_type = "runtime-global",
        default_value = 6.0,
        minimum_value = 1.0,
    },
    {
        type = "double-setting",
        name = "hextorio-tiles-per-quality-aquilo",
        setting_type = "runtime-global",
        default_value = 4.0,
        minimum_value = 1.0,
    },
    {
        type = "int-setting",
        name = "hextorio-planet-size-vulcanus",
        setting_type = "runtime-global",
        default_value = 30,
        minimum_value = 1,
        maximum_value = 100,
    },
    {
        type = "int-setting",
        name = "hextorio-planet-size-fulgora",
        setting_type = "runtime-global",
        default_value = 30,
        minimum_value = 1,
        maximum_value = 100,
    },
    {
        type = "int-setting",
        name = "hextorio-planet-size-gleba",
        setting_type = "runtime-global",
        default_value = 36,
        minimum_value = 1,
        maximum_value = 100,
    },
    {
        type = "int-setting",
        name = "hextorio-planet-size-aquilo",
        setting_type = "runtime-global",
        default_value = 24,
        minimum_value = 1,
        maximum_value = 100,
    },

    {
        type = "bool-setting",
        name = "hextorio-nauvis-filled-edges",
        setting_type = "runtime-global",
        default_value = false,
        order = "a[deathworld]-f[nauvis-filled-edges]",
    },
    {
        type = "bool-setting",
        name = "hextorio-nauvis-grace",
        setting_type = "runtime-global",
        default_value = false,
        order = "a[deathworld]-f[nauvis-grace]",
    },
})
